#include<algorithm>
#include<iostream>
#include<set>
using namespace std;
struct point{
    long long x,y;
};

long long red[20100];
long long kol[20100];
int main(){
    ios_base::sync_with_stdio(0);
    cin.tie(0);
int n;
cin>>n;
set<int> redowenakoitoimaTochki;
set<int> koloninakoitoimaTochki;
point a[n];
for(int i=0;i<n;i++){
    cin>>a[i].x>>a[i].y;
    red[a[i].y+10000]++;
    kol[a[i].x+10000]++;
    redowenakoitoimaTochki.insert(a[i].y);
    koloninakoitoimaTochki.insert(a[i].x);
}

long long ans=0;
for(auto i=redowenakoitoimaTochki.begin();i!=redowenakoitoimaTochki.end();i++){
    int in=*i+10000;
    i++;
    auto y=i;
    i--;
    for(auto j=y;j!=redowenakoitoimaTochki.end();j++){
        int in2=*j+10000;
        long long delta=*j-*i;
        ans+=red[in]*delta*delta*red[in2];
    }

}
for(auto i=koloninakoitoimaTochki.begin();i!=koloninakoitoimaTochki.end();i++){
    int in=*i+10000;
    i++;
    auto y=i;
    i--;
    for(auto j=y;j!=koloninakoitoimaTochki.end();j++){
        int in2=*j+10000;
        long long delta=*j-*i;
        ans+=kol[in]*delta*delta*kol[in2];
    }

}
cout<<ans;
return 0;
}
